Summary:	Java bindings for the libvirt virtualization API
Name:		libvirt-java
Version:	0.3.1
Prefix:     libvirt
Release:	1%{?dist}
License:	LGPLv2+
BuildArch:  noarch
Group:		Development/Libraries
Source:		http://libvirt.org/sources/java/%{name}-%{version}.tar.gz
URL:		http://libvirt.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires:   jna
Requires:	libvirt >= 0.4.1
Requires:	java >= 1:1.6.0
Requires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	jna
BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	jpackage-utils

#
# the jpackage-utils should provide a %{java_home} macro
# to select a different Java JVM from the default one use the following
# rpmbuild --define 'java_home /usr/lib/jvm/your_jvm_of_choice'
#

%description
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language.
It requires libvirt >= 0.4.1

%package    devel
Summary:    Compressed Java source files for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description    devel
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language. This is the development part needed
to build applications with Libvirt-java.


%package	javadoc
Summary:	Java documentation for %{name}
Group:		Development/Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description	javadoc
API documentation for %{name}.
%prep
%setup -q

%build
ant build docs

%install
rm -fr %{buildroot}
install -d -m0755 %{buildroot}%{_javadir}
install -d -m0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp target/%{prefix}-%{version}.jar %{buildroot}%{_javadir}
%{__ln_s} %{_javadir}/%{prefix}-%{version}.jar %{buildroot}%{_javadir}/%{prefix}.jar 
cp -r target/javadoc %{buildroot}%{_javadocdir}/%{name}-%{version}



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README INSTALL
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%doc src/test/java/test.java


%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Thu Oct 29 2009 Bryan Kearney <bkearney@redhat.com> - 0.3.1-1
- Added maven building tools.
- Fixed connection and domain bugs found by Thomas Treutner
    
* Wed Jul 29 2009 Bryan Kearney <bkearney@redhat.com> - 0.3.0-1
- refactored the code to use jna (https://jna.dev.java.net/)
    
* Fri Jul 18 2008 Daniel Veillard <veillard@redhat.com> - 0.2.0-1
- new release 0.2.0
- finished cleanup of APIs

* Thu Jul  3 2008 Daniel Veillard <veillard@redhat.com> - 0.1.2-1
- new release 0.1.2

* Tue Jul  1 2008 Daniel Veillard <veillard@redhat.com> - 0.1.1-1
- new release 0.1.1

* Tue Jun 24 2008 Daniel Veillard <veillard@redhat.com> - 0.1.0-1
- created

